org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups.extender

## Interface IDifferenceGroupExtender.Registry

All Known Implementing Classes:
  DifferenceGroupExtenderRegistryImpl

Enclosing interface:
  IDifferenceGroupExtender

    public static interface IDifferenceGroupExtender.Registry

A registry of `IDifferenceGroupExtender`.

### Method Summary

All Methods Instance Methods Abstract Methods
`IDifferenceGroupExtender` `add(IDifferenceGroupExtender extender)` Add to the registry the given `IDifferenceGroupExtender`.
`void` `clear()` Clear the registry.
`Collection<IDifferenceGroupExtender>` `getExtenders()` Returns the list of `IDifferenceGroupExtender` contained in the registry.
`IDifferenceGroupExtender` `remove(String className)` Remove from the registry the `IDifferenceGroupExtender` designated by the given `String` .

### Method Detail

#### getExtenders

    Collection<IDifferenceGroupExtender> getExtenders()

Returns the list of `IDifferenceGroupExtender` contained in the registry.

Returns:
  The list of `IDifferenceGroupExtender` contained in the registry.

#### add

    IDifferenceGroupExtender add(IDifferenceGroupExtender extender)

Add to the registry the given `IDifferenceGroupExtender`.

Parameters:
  `extender` - The given `IDifferenceGroupExtender`.
Returns:
  The previous value associated with the class name of the given `IDifferenceGroupExtender`, or null if there was no entry in the registry for the class name.

#### remove

    IDifferenceGroupExtender remove(String className)

Remove from the registry the `IDifferenceGroupExtender` designated by the given `String` .

Parameters:
  `className` - The given `String` representing a `IDifferenceGroupExtender`.
Returns:
  The `IDifferenceGroupExtender` designated by the given `String`.

#### clear

    void clear()

Clear the registry.